Actualizar Joomla

  • Los editores de Joomla nos da la opción de poner Leer Más con facilidad, simplemente pulsando en el icono leer mas que traen por defecto.

    Este icono lo que hace realmente es generar el sigiente código:

    <hr id="system-readmore"/>

    Está facilidad puede ser a veces un problema por los errores que nos puede generar, influyendo el editor que utilicemos en la instalación Joomla, pueden producirse más o menos errores.

    Nosotros utilizamos casi siempre el editor JCE , y al utilizar <<leer más >> nos produce errores igualmente, pero aun no encontramos un editor WYSIWYG por eso seguimos utilizandolo.

    La cuestión es que casi todos los editores que probamos al introducir el <<leer mas>> si estamos dentro de una etiqueta, esté elimina esa etiqueta, pero si tenemos varias etiquetas anidadas entonces es cuando surge los problemas.

    Con esto quiero decir, que no se puede dar a leer mas (introducir el código), cuando estamos dentro de una etiqueta, si lo hacemos y nos queda una etiqueta abierta, el editor continua perfectamente, pero puede hacernos presentaciones estrañas nuestra web.

    << Me imagino que el editor JCE y otros tiene formas de configurar para evitar esto, pero no las conozco >>

    Más información sobre <hr>

    Está etiqueta de html indica en:
    HMTL5 : Ruptura de temática
    HMTL 4.01: Representa una regla horizontal...

    Ver más info en w3school

    Busqué en GOOGLE este error pero no encuentro nada, debe ser por que es muy obvio.

  • Muchas veces cuando intentamos actualizar Joomla desde la parte administracion de Joomla , pulsamos actualizar y se nos queda en blanco, sin llegar mostranos la barra de proceso de actualizacion,  sin indicarnos que sucedió, cual fue el error.

    Lo primero es borrar el cache de la pagina desde la parte administrativa. Si aun así sigue fallando, recomiendo ver los parametros de subida de nuestra configuracion de php, ya que la mayoria de las veces es porque tenemos la variables php.ini muy bajas.

    upload_max_filesize = 2M
    post_max_size = 8M

    En la parte administrativa en el menu Sistemas>Informacion Sistema > Informacion php .ini , podéis verlo, pero no podreis cambiarlo.

    Os recomiendo poner 10m en las dos variables, asi no tendréis problemas , solo que el paquete que instentas actualizar pesará mas.

    En algunas instalaciones que tiene Akeeba y tiene el sistema ( nose como se llama) de realizar una copia de seguridad antes actualizar, recomiendo desactivarlo ya que muchas veces es el causante del problema.

    Eso sí, siempre antes de hacer una actualización nosotros recomendamos realizar una copia de la web, porque nunca se sabe si saldrá todo bien.